# Create a bulk download request

Create a bulk download request

Endpoint: POST /har/api/v3/bulk-download
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

## Request fields (application/json):

  - `outputFileName` (string)
    Name of the output file to be downloaded

  - `packageIds` (array)
    List of packages Id to download

  - `versionIds` (array)
    List of versions Id to download

## Response 202 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    Unique identifier for the bulk download request

  - `data.status` (string, required)
    Status of the bulk download operation
    Enum: "PENDING", "PROCESSING", "SUCCESS", "FAILED"

  - `data.statusUrl` (string)
    Relative URL to poll for status (optional convenience)

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


